All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Class ResponsibilitiesFilter

    com.sas.services.information.search.ResponsibilitiesFilter

All Implemented Interfaces:
  SearchFilter, java.io.Serializable

    public class ResponsibilitiesFilter

implements SearchFilter, java.io.Serializable

The ResponsibilitiesFilter class is used to filter objects by the associated ResponsibleParty.
For instance, an application may need to display those objects associated to a given identity via the responsible party. The name of the associated identity and optionally the responsible party role can be used to filter objects.

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `PERSON_ASSOCNAME`
`protected static java.lang.String` | `PERSON_ASSOCTYPE`
`protected static java.lang.String` | `RESPONSIBLEPARTY_ASSOCNAME`
`protected static java.lang.String` | `RESPONSIBLEPARTY_ASSOCTYPE`
`protected static java.lang.String` | `RESPONSIBLEPARTY_NAME`
`protected static java.lang.String` | `RESPONSIBLEPARTY_ROLE`

Constructor Summary
`ResponsibilitiesFilter(java.lang.String userName, java.lang.String role)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare whether two filters are equal to each other.
`FilterComponent` | `getFilterComponent()` Returns the filter component used for processing this search criteria
`java.lang.String` | `getFilterDescription()` Returns the description of this filter.
`java.lang.String` | `getFilterType()` Returns the localized name of this filter.
`java.lang.String` | `getReponsiblePartyName()` Retrieve the responsibleParty name
`java.lang.String` | `getReponsiblePartyRole()` Retrieve the responsibleParty role

Field Detail

### RESPONSIBLEPARTY_NAME

    protected static final java.lang.String RESPONSIBLEPARTY_NAME

See Also:
  Constant Field Values

### RESPONSIBLEPARTY_ROLE

    protected static final java.lang.String RESPONSIBLEPARTY_ROLE

See Also:
  Constant Field Values

### RESPONSIBLEPARTY_ASSOCNAME

    protected static final java.lang.String RESPONSIBLEPARTY_ASSOCNAME

See Also:
  Constant Field Values

### RESPONSIBLEPARTY_ASSOCTYPE

    protected static final java.lang.String RESPONSIBLEPARTY_ASSOCTYPE

See Also:
  Constant Field Values

### PERSON_ASSOCNAME

    protected static final java.lang.String PERSON_ASSOCNAME

See Also:
  Constant Field Values

### PERSON_ASSOCTYPE

    protected static final java.lang.String PERSON_ASSOCTYPE

See Also:
  Constant Field Values

Constructor Detail

### ResponsibilitiesFilter

    public ResponsibilitiesFilter(java.lang.String userName,
                                  java.lang.String role)

Method Detail

### getReponsiblePartyName

    public java.lang.String getReponsiblePartyName()

  Retrieve the responsibleParty name

### getReponsiblePartyRole

    public java.lang.String getReponsiblePartyRole()

  Retrieve the responsibleParty role

### getFilterType

    public java.lang.String getFilterType()

  Description copied from interface: `SearchFilter`
  Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.

  Specified by:
    `getFilterType` in interface `SearchFilter`
  Returns:
    filter type

### getFilterDescription

    public java.lang.String getFilterDescription()

  Description copied from interface: `SearchFilter`
  Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.

  Specified by:
    `getFilterDescription` in interface `SearchFilter`
  Returns:
    the filter description

### getFilterComponent

    public FilterComponent getFilterComponent()

  Description copied from interface: `SearchFilter`
  Returns the filter component used for processing this search criteria

  Specified by:
    `getFilterComponent` in interface `SearchFilter`
  Returns:
    filter component

### equals

    public boolean equals(java.lang.Object obj)

  Compare whether two filters are equal to each other.

  Overrides:
    `equals` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.